import logo from './logo.svg';
import './App.css';
import { BrowserRouter, Routes, Route } from "react-router-dom";
import Login from './Login';
import Dashboard from './Dashboard';
import ListUsers from './ListUsers';
import EditUsers from './EditUsers';

function App() {
  return (
    <BrowserRouter> 
      <Routes>
        <Route path="/" element={<h1>Page d'accueil</h1>} />
        <Route path="/login" element={<Login />} />
        <Route path="/dashboard" element={<Dashboard />} >
          <Route path="/dashboard/list-users" element={<ListUsers />} />
          <Route path="/dashboard/edit-users" element={<EditUsers />} />
        </Route>
      </Routes> 
    </BrowserRouter>
  );
}

export default App;
